-- snow
print("register fruit type: snow");
local snowhudFile = Utils.getFilename("mods/SlivoviceMap/scripte/hud/snowHUD.dds", getUserProfileAppPath());
FruitUtil.registerFruitType("snow", g_i18n:getText("snow"), false, false, false, 0, 4, 6, 0, 0, 0.35, 10, 1, true, snowhudFile, {0.6, 0.7, 0.4, 1});	
	
	
local origSowingMachineLoad = SowingMachine.load;
local orig TrailerLoad =  Trailer.load;

SowingMachine.load = function (self, xmlFile)
	if origSowingMachineLoad ~= nil then
		origSowingMachineLoad(self, xmlFile);
	end;
	
	for k,v in pairs(self.seeds) do  
		fruitTypeDesc = FruitUtil.fruitTypes["sugarBeet"];
		if v == fruitTypeDesc.index then
			table.insert(self.seeds, FruitUtil.fruitTypes["snow"].index);
		end;
	end
end;
